# List indices (/api-reference/indices/list-indices)

## List indices

`GET https://data.tryopengrid.com/v1/indices`

OpenGrid indices: current level and changes.

### Parameters

- `kind` (query, any)
- `limit` (query, integer)
- `cursor` (query, any)
- `OpenGrid-Version` (header, string): The API version to shape the response for. Default: the version pinned to your key.

### Response `data`

- `change_reasons` (object)
  - `all` (string)
  - `ytd` (string)
- `changes` (object)
  - `all` (null | number)
  - `ytd` (null)
- `constituents` (number)
- `coverage` (object)
  - `chain_segment` (null | number)
  - `chain_segment_start` (null | string)
  - `constituents_now` (number)
  - `first_published` (null | string)
  - `hours_30d` (number)
  - `published_hours_30d` (number)
- `first_published` (null | string)
- `gpu` (null | string)
- `gpu_name` (string)
- `high` (null | object)
  - `hour` (string)
  - `level` (number)
  - `since` (string)
- `hour` (string)
- `id` (string)
- `interruptible` (boolean)
- `kind` (string)
- `last_published` (null | object)
  - `hour` (string)
  - `level` (number)
- `level` (null | number)
- `low` (null | object)
  - `hour` (string)
  - `level` (number)
  - `since` (string)
- `name` (string)
- `provider_class` (null)
- `published` (boolean)
- `raw_level` (null | number)
- `reason` (null | string)
- `region_group` (null | string)
- `segment` (string)
- `spark_7d` (array of null | number)
- `unit` (string)
- `volatility` (object)

Every success is `{"data": ..., "meta": {as_of, api_version, request_id, next_cursor?}}`.

### Example

```bash
curl "https://data.tryopengrid.com/v1/indices" \
  -H "Authorization: Bearer $OPENGRID_API_KEY"
```